//
//  ComboArray.m
//  FMenu
//
//  Created by Paul Borokhov on 1/5/07.
//  Copyright 2007 Paul Borokhov. All rights reserved.
/*
 **
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * FMenu is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#import "ComboArray.h"


@implementation NSMutableArray (ComboArray)

- (int)numberOfItemsInComboBox:(NSComboBox *)aComboBox {
	return [self count];
}

- (id)comboBox:(NSComboBox *)aComboBox objectValueForItemAtIndex:(int)index {
	if (index >=0 && index < [self count]) {
		return [self objectAtIndex:index];
	} else {
		return [aComboBox stringValue];
	}
}

- (unsigned int)comboBox:(NSComboBox *)aComboBox indexOfItemWithStringValue:(NSString *)aString {
	return [self indexOfObject:aString];
}

- (NSString *)comboBox:(NSComboBox *)aComboBox completedString:(NSString *)uncompletedString {
	// adapted from http://www.cocoabuilder.com/archive/message/cocoa/2005/3/23/131268
	NSEnumerator *theEnum = [self objectEnumerator];
	id eachString;
	// id eachName;
	int maxLength = 0;
	NSString *bestMatch = @"";
	
	while (nil != (eachString = [theEnum nextObject]))	{
		NSString *commonPrefix = [eachString commonPrefixWithString:uncompletedString options:NSCaseInsensitiveSearch];
		if ([commonPrefix length] >= [uncompletedString length] && [commonPrefix length] > maxLength) {
			maxLength = [commonPrefix length];
			bestMatch = eachString;
			break;
		}
	}
	return bestMatch;
}

@end
