//
//  Constants.m
//  FMenu
//
//  Created by Paul Borokhov on 1/5/07.
//  Copyright 2007 Paul Borokhov. All rights reserved.
/*
 **
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * FMenu is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#import "Constants.h"

@implementation Controller (Constants)

- (void) setConstants {
	noOfChecks = 6; // this is the number of Facebook calls - one of these gets called every updateTime seconds
	initialDelay = 40; // number of seconds to wait before our main timer starts
	firstSleepInterval = 1; // number of seconds to sleep before successive API calls upon initial launch & forced update
	errorSleepTime = 35; // number of seconds to sleep if we hit errors
	apikey = [[[NSBundle bundleForClass:[self class]] infoDictionary] objectForKey:@"FBAPIKey"];
	secret = [[[NSBundle bundleForClass:[self class]] infoDictionary] objectForKey:@"FBAPISecret"];
	loggedInImageName = @"facebooklogo";
	loggedInImageNameInv = @"facebooklogo-inv";
	loggedOutImageName = @"facebooklogo-gray";
	loggedOutImageNameInv = @"facebooklogo-gray-inv";
	sleepingImageName = @"sleeping";
	// growlID = @"com.growl.prefpanel";
	nameIndex = 1;
	startIndex = 2;
	fields = [[NSArray arrayWithObjects:@"uid", @"name", @"notes_count", @"status", @"pic", @"profile_update_time", @"sex", nil] retain];
	pokesLastID = [@"" retain];
	messagesLastID = [@"" retain];
	[self setCounters];
	oldData = nil;
}

- (void) setCounters {
	whoseTurn = 0;
	currentCount = 0;
	unreadMessages = 0;
	unreadPokes = 0;
	eventCount = 0;
	friendRequestsCount = 0;
	wallPosts = 0;
	totalUnread = 0;
	sleeping = NO;
	namesDic = [[NSMutableDictionary dictionaryWithCapacity:5] retain];
	eventsDic = [[NSMutableDictionary dictionaryWithCapacity:5] retain];
	groupsDic = [[NSMutableDictionary dictionaryWithCapacity:5] retain];
	idDic = [[NSMutableDictionary dictionaryWithCapacity:5] retain];
}

@end
